package com.taauav.admin.controller;

import com.alibaba.fastjson.JSON;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.taauav.admin.entity.TauvInspectDriver;
import com.taauav.admin.entity.TauvInspectFile;
import com.taauav.admin.entity.TauvInspectFileBak;
import com.taauav.admin.mapper.TauvInspectDriverMapper;
import com.taauav.admin.mapper.TauvInspectFileBakMapper;
import com.taauav.admin.mapper.TauvInspectFileMapper;
import com.taauav.common.util.ShiroUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.CollectionUtils;
import org.springframework.util.StringUtils;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.List;

/**
 * describe:
 *
 * @author matengfei
 * @date 2019/10/31
 */
@RestController
@RequestMapping("/test")
@Slf4j
public class TestController {
    @Autowired
    private TauvInspectFileBakMapper inspectFileBakMapper;
    @Autowired
    private TauvInspectFileMapper inspectFileMapper;
    @Autowired
    private TauvInspectDriverMapper inspectDriverMapper;

    /**
     * 刷图片数据
     */
    @GetMapping("test")
    public void test() {
        QueryWrapper<TauvInspectFileBak> wrapper = new QueryWrapper<>();
        //wrapper.eq("mark", 1);
        wrapper.gt("pid",0);
        List<TauvInspectFileBak> list = inspectFileBakMapper.selectList(wrapper);
        for (TauvInspectFileBak inspectFileBak : list) {
            TauvInspectFile inspectFile = new TauvInspectFile();

            //判断数据是否存在
            TauvInspectFile exist = inspectFileMapper.selectById(inspectFileBak.getId());
            if (null != exist) {
                continue;
            }
            inspectFile.setId(inspectFileBak.getId());
            Integer inspectDriverId = inspectFileBak.getInspectDriverId();
            inspectFile.setInspectDriverId(inspectDriverId);
            TauvInspectDriver inspectDriverInfo = inspectDriverMapper.selectById(inspectDriverId);
            if (!StringUtils.isEmpty(inspectDriverInfo)) {
                inspectFile.setInspectId(inspectDriverInfo.getInspectId());
            }
            inspectFile.setDate(inspectFileBak.getDate());
            Integer pid = inspectFileBak.getPid();
            TauvInspectFileBak pinfo = inspectFileBakMapper.selectById(pid);
            String documentName = StringUtils.isEmpty(pinfo) ? "" : pinfo.getName();
            if (StringUtils.isEmpty(documentName)) {
                log.error("数据父级不存在"+ JSON.toJSON(inspectFileBak));
                continue;
            }
            String document = "";
            if (documentName.equals("水面")) {
                document = "surfaceWater";
            } else if(documentName.equals("岸线")) {
                document = "shoreLine";
            }else if(documentName.equals("排口")) {
                document = "outfall";
            }else if(documentName.equals("水质")) {
                document = "waterQuality";
            }
            if (StringUtils.isEmpty(document)) {
                log.error("document不存在"+ JSON.toJSON(inspectFileBak));
            }
            inspectFile.setId(inspectFileBak.getId());
            inspectFile.setFileDocument(document);
            if (!StringUtils.isEmpty(inspectFileBak.getDate())) {
                inspectFile.setDate(inspectFileBak.getDate());
            }
            inspectFile.setFileType(inspectFileBak.getFileType());
            inspectFile.setType(inspectFileBak.getType());
            inspectFile.setName(inspectFileBak.getName());
            inspectFile.setExtension(inspectFileBak.getExtension());
            inspectFile.setSrc(inspectFileBak.getSrc());
            inspectFile.setThumbImg(inspectFileBak.getThumbImg());
            inspectFile.setOriginalImg(inspectFileBak.getOriginalImg());
            if (!StringUtils.isEmpty(inspectFileBak.getOriginalImg())) {
                String originImg = inspectFileBak.getOriginalImg();
                String extension = originImg.substring(originImg.lastIndexOf(".")+1);
                inspectFileBak.setExtension(extension);
            }
            inspectFile.setSize(inspectFileBak.getSize());
            inspectFile.setFileName(inspectFileBak.getFileName());
            inspectFile.setLatitude(inspectFileBak.getLatitude());
            inspectFile.setLongitude(inspectFileBak.getLongitude());
            inspectFile.setLocation(inspectFileBak.getLocation());
            if (!StringUtils.isEmpty(inspectFileBak.getBaiduLatitude())) {
                inspectFile.setBaiduLatitude(inspectFileBak.getBaiduLatitude());
            }
            if (!StringUtils.isEmpty(inspectFileBak.getBaiduLongitude())) {
                inspectFile.setBaiduLongitude(inspectFileBak.getBaiduLongitude());
            }
            if (!StringUtils.isEmpty(inspectFileBak.getBaiduAddress())) {
                inspectFile.setBaiduAddress(inspectFileBak.getBaiduAddress());
            }
            if (!StringUtils.isEmpty(inspectFileBak.getGaodeLatitude())) {
                inspectFile.setGaodeLatitude(inspectFileBak.getGaodeLatitude());
            }
            if (!StringUtils.isEmpty(inspectFileBak.getGaodeLongitude())) {
                inspectFile.setGaodeLongitude(inspectFileBak.getGaodeLongitude());
            }
            if (!StringUtils.isEmpty(inspectFileBak.getGaodeAddress())) {
                inspectFile.setGaodeAddress(inspectFileBak.getGaodeAddress());
            }
            inspectFile.setQuestionId(inspectFileBak.getQuestionId());
            inspectFile.setDescription(inspectFileBak.getDescription());
            inspectFile.setIsReview(inspectFileBak.getIsReview());
            inspectFile.setIsEffective(inspectFileBak.getIsEffective());
            inspectFile.setStatus(inspectFileBak.getStatus());
            inspectFile.setCheckStatus(inspectFileBak.getCheckStatus());
            inspectFile.setCreateUser(inspectFileBak.getCreateUser());
            inspectFile.setCreateTime(inspectFileBak.getCreateTime());
            inspectFile.setUpdateUser(inspectFileBak.getUpdateUser());
            inspectFile.setUpdateTime(inspectFileBak.getUpdateTime());
            inspectFile.setMark(inspectFileBak.getMark());
            inspectFileMapper.insert(inspectFile);
        }
        System.out.println("执行成功");
    }
    @GetMapping("shiro")
    public void shiro() {
        ShiroUtils.deleteCache("admin", false);
    }
}
