package com.taauav.admin.entity;

import com.taauav.common.domain.Entity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotBlank;

/**
 * <p>
 * 外部用户角色表
 * </p>
 *
 * @author dyg
 * @since 2020-04-01
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class LsAuthGroup extends Entity {

    private static final long serialVersionUID = 1L;


    /**
     * 用户组中文名称
     */
    @NotBlank(message = "角色名称不能为空")
    @Length(min = 2, max = 30, message = "角色名称长度在2-30")
    private String name;

    /**
     * 数据权限：1查看自己区划数据 2查看所有区划数据 3查看指定区划数据
     */
    @NotBlank(message = "数据权限不能为空")
    private Integer authData;

    /**
     * 区划ID(多个逗号分隔)
     */
    private String driverArea;

    /**
     * 备注
     */
    private String remark;

    /**
     * 排序
     */
    private Integer sort;


}
