package com.taauav.admin.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.taauav.admin.entity.TauvReportRemark;
import com.taauav.admin.mapper.TauvReportRemarkMapper;
import com.taauav.admin.service.ITauvReportRemarkService;
import com.taauav.common.service.impl.BaseServiceImpl;
import com.taauav.common.util.DateUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author dyg
 * @since 2019-11-29
 */
@Service
public class TauvReportRemarkServiceImpl extends BaseServiceImpl<TauvReportRemarkMapper, TauvReportRemark> implements ITauvReportRemarkService {
    @Autowired
    private TauvReportRemarkMapper tauvReportRemarkMapper;

    /**
     * 根据报告编号和问题编号获取数据
     *
     * @param reportId
     * @param questionId
     * @return
     */
    @Override
    public TauvReportRemark getInfoByReportIdAndQuestionId(Integer reportId, Integer questionId) {
        QueryWrapper<TauvReportRemark> wrapper = new QueryWrapper<>();
        wrapper.eq("report_id", reportId);
        wrapper.eq("question_id", questionId);
        wrapper.eq("mark", 1);
        wrapper.last("limit 1");
        TauvReportRemark info = tauvReportRemarkMapper.selectOne(wrapper);
        return info;
    }

    /**
     * 根据项目编号删除数据
     *
     * @param reportId
     */
    @Override
    public void deleteByReportId(Integer reportId) {
        QueryWrapper<TauvReportRemark> wrapper = new QueryWrapper<>();
        wrapper.eq("report_id", reportId);
        tauvReportRemarkMapper.delete(wrapper);
    }

    @Override
    public void addData(TauvReportRemark reportRemark) {
        reportRemark.setCreateTime(DateUtil.now());
        tauvReportRemarkMapper.insert(reportRemark);
    }
}
