package com.taauav.admin.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * 机构列表Vo
 */
@Data
public class TauvCityListVo {

    /**
     * ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 父级ID
     */
    private Integer pid;

    /**
     * 用户组中文名称
     */
    private String name;

    /**
     * 有无子级：1有 2无
     */
    private Integer hasChild;

    /**
     * 层级
     */
    private Integer level;

    /**
     * 备注
     */
    private String remark;

    /**
     * 状态：1正常 2禁用
     */
    private Integer status;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 创建人
     */
    private Integer createUser;

    /**
     * 更新人
     */
    private Integer updateUser;

    /**
     * 创建时间
     */
    private Integer createTime;

    /**
     * 更新时间
     */
    private Integer updateTime;

    /**
     * 获取子级机构
     */
    List<TauvCityListVo> children = new ArrayList<>();

}
