package com.taauav.admin.vo.inspectdriver;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotEmpty;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.util.Date;

/**
 * 巡检河流列表Vo
 */
@Data
public class TauvInspectDriverListVo {

    /**
     * 巡检河流ID
     */
    private Integer id;

    /**
     * 巡检任务ID
     */
    private Integer inspectId;

    /**
     * 巡检时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date inspectTime;

    /**
     * 行号(以10的倍数递增)
     */
    private Integer num;

    /**
     * 巡检任务单号对应的河流子编号
     */
    private String inspectNo;

    /**
     * 河道ID
     */
    private Integer driverId;

    /**
     * 河流名称
     */
    private String driverName;

    /**
     * 区划ID
     */
    private BigInteger driverArea;

    /**
     * 区划名称
     */
    private String driverAreaName;

    /**
     * 河流长度(单位：KM)
     */
    private BigDecimal driverLength;

    /**
     * 河流起点
     */
    private String driverStart;

    /**
     * 河流终点
     */
    private String driverEnd;

    /**
     * 航线文件名
     */
    private String driverFilename;

    /**
     * 航线文件
     */
    private String driverFile;

    /**
     * 河流备注
     */
    private String driverNote;

}
