package com.taauav.common.core.mps;


public class BaseQuery {

    /**
     * 页码(默认值：1)
     */
    private Integer page = 1;

    /**
     * 每页数(默认值：20)
     */
    private Integer pageSize = 20;

    private String ascs;

    private String descs;

    public BaseQuery() {
    }

    public Integer getPage() {
        return this.page;
    }

    public Integer getPageSize() {
        return this.pageSize;
    }

    public String getAscs() {
        return this.ascs;
    }

    public String getDescs() {
        return this.descs;
    }

    public BaseQuery setPage(final Integer pageNum) {
        this.page = pageNum;
        return this;
    }

    public BaseQuery setPageSize(final Integer pageSize) {
        this.pageSize = pageSize;
        return this;
    }

    public BaseQuery setAscs(final String ascs) {
        this.ascs = ascs;
        return this;
    }

    public BaseQuery setDescs(final String descs) {
        this.descs = descs;
        return this;
    }

    public boolean equals(final Object o) {
        if (o == this) {
            return true;
        } else if (!(o instanceof BaseQuery)) {
            return false;
        } else {
            BaseQuery other = (BaseQuery) o;
            if (!other.canEqual(this)) {
                return false;
            } else {
                label59:
                {
                    Object this$pageNum = this.getPage();
                    Object other$pageNum = other.getPage();
                    if (this$pageNum == null) {
                        if (other$pageNum == null) {
                            break label59;
                        }
                    } else if (this$pageNum.equals(other$pageNum)) {
                        break label59;
                    }

                    return false;
                }

                Object this$pageSize = this.getPageSize();
                Object other$pageSize = other.getPageSize();
                if (this$pageSize == null) {
                    if (other$pageSize != null) {
                        return false;
                    }
                } else if (!this$pageSize.equals(other$pageSize)) {
                    return false;
                }

                Object this$ascs = this.getAscs();
                Object other$ascs = other.getAscs();
                if (this$ascs == null) {
                    if (other$ascs != null) {
                        return false;
                    }
                } else if (!this$ascs.equals(other$ascs)) {
                    return false;
                }

                Object this$descs = this.getDescs();
                Object other$descs = other.getDescs();
                if (this$descs == null) {
                    if (other$descs != null) {
                        return false;
                    }
                } else if (!this$descs.equals(other$descs)) {
                    return false;
                }

                return true;
            }
        }
    }

    protected boolean canEqual(final Object other) {
        return other instanceof BaseQuery;
    }

    @Override
    public int hashCode() {
        int result = 1;
        Object $pageNum = this.getPage();
        result = result * 59 + ($pageNum == null ? 43 : $pageNum.hashCode());
        Object $pageSize = this.getPage();
        result = result * 59 + ($pageSize == null ? 43 : $pageSize.hashCode());
        Object $ascs = this.getAscs();
        result = result * 59 + ($ascs == null ? 43 : $ascs.hashCode());
        Object $descs = this.getDescs();
        result = result * 59 + ($descs == null ? 43 : $descs.hashCode());
        return result;
    }

    @Override
    public String toString() {
        return "Query(pageNum=" + this.getPage() + ", pageSize=" + this.getPageSize() + ", ascs=" + this.getAscs() + ", descs=" + this.getDescs() + ")";
    }
}
