package com.taauav.front.controller;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.api.R;
import com.taauav.admin.entity.SysCity;
import com.taauav.admin.mapper.SysCityMapper;
import com.taauav.admin.service.ISysCityService;
import com.taauav.common.util.DateUtil;
import com.taauav.common.util.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.io.*;

/**
 * 溧水区、镇、村数据处理控制器
 *
 * @author daixiantong
 */
@RequestMapping("/front/area")
@RestController
public class LsAreaController {

    @Autowired
    private ISysCityService cityService;
    @Autowired
    private SysCityMapper cityMapper;

    @GetMapping("/import")
    public R readAreaData(@RequestParam("file") String filePath) throws IOException {
        if (!StringUtils.isEmpty(filePath)) {
            File file = new File(filePath);
            InputStream inputStream = null;
            StringBuffer sb = new StringBuffer();
            if (file.isFile() && file.exists()) {
                try {
                    inputStream = new FileInputStream(file);
                    BufferedReader br = new BufferedReader(new InputStreamReader(inputStream, "utf-8"));
                    String buff;
                    while ((buff = br.readLine()) != null) {
                        sb.append(buff);
                    }
                } catch (FileNotFoundException e) {
                    e.printStackTrace();
                } catch (IOException e) {
                    e.printStackTrace();
                } finally {
                    inputStream.close();
                }

                JSONArray jsonArray = JSON.parseArray(sb.toString());
                for (int i = 0; i < jsonArray.size(); i++) {
                    JSONObject jsonObject = jsonArray.getJSONObject(i);
                    SysCity lishui = new SysCity();
                    lishui.setId(jsonObject.getBigInteger("code"));
                    lishui.setPid(jsonObject.getBigInteger("pCode"));
                    lishui.setLevel(jsonObject.getInteger("levelId"));
                    lishui.setName(jsonObject.getString("name"));
                    lishui.setHasChild(2);
                    lishui.setCreateUser(1);
                    lishui.setUpdateUser(1);
                    lishui.setCreateTime(DateUtil.now());
                    lishui.setUpdateTime(DateUtil.now());
                    cityMapper.insert(lishui);
                }
                return R.ok("导入成功");
            } else {
                return R.failed("文件不存在");
            }
        }
        return R.failed("附件路径不能为空");
    }
}
